Subject: Re: [PATCH v2 RESEND 0/5] sched/vtime: vtime.h headers cleanup

From: Michael Ellerman <[email-masked]>
Date: Thu, 18 Apr 2024 11:00:43 +1000

Frederic Weisbecker <[email-masked]> writes:
> Le Wed, Apr 10, 2024 at 05:09:43PM +0200, Alexander Gordeev a écrit :
>> Hi All,
>> 
>> There are no changes since the last post, just a re-send.
>> 
>> v2:
>> - patch 4: commit message reworded (Heiko)
>> - patch 5: vtime.h is removed from Kbuild scripts (PowerPC only) (Heiko)
>> 
>> v1:
>> Please find a small cleanup to vtime_task_switch() wiring.
>> I split it into smaller patches to allow separate PowerPC
>> vs s390 reviews. Otherwise patches 2+3 and 4+5 could have
>> been merged.
>> 
>> I tested it on s390 and compile-tested it on 32- and 64-bit
>> PowerPC and few other major architectures only, but it is
>> only of concern for CONFIG_VIRT_CPU_ACCOUNTING_NATIVE-capable
>> ones (AFAICT).
>> 
>> Thanks!
>
> It probably makes sense to apply the whole series to the scheduler tree.
> Does any powerpc or s390 maintainer oppose to that?

No objection. It has acks and reviews from powerpc.

cheers